Bug 217065 - scim-sinhala should avoid backspace for double vowels
scim-sinhala should avoid backspace for double vowels
Product: Fedora
Classification: Fedora
Component: scim-sinhala (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Depends On:
  Show dependency treegraph
Reported: 2006-11-23 11:12 EST by Caolan McNamara
Modified: 2008-02-12 00:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-12 00:15:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2006-11-23 11:12:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1) Gecko/20061027 Firefox/2.0

Description of problem:
Because in scim-sinhala "oo" produces ඔ backspace ඕ this can only do the right thing if the backspace key in an application like openoffice.org-writer will always treat backspace as "delete previous character", so backspace cannot be rebound to do something else

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
In openoffice.org tools->customize->keyboard locate backspace and rebind it to do something else, e.g. launch about help.

Active scim-sinhala type oo

Actual Results:
ඔ "about openoffice.org" pops up ඕ

Expected Results:
not that :-)

Additional info:
Due to 217047 I've locked backspace to always generate the backspace event so this won't be visible in >= 2.0.4-5.4.8 at which point the problem will be that a user won't be allowed to rebind backspace.

Can't the sinhala IM act like e.g. the hangul one and give a little pre-edit area when the first o is pressed and just not commit that letter until the next keyboard event arrives and decide then to commit ඔ or ඕ ?
Comment 1 Pravin Satpute 2007-12-17 02:03:35 EST
Resolved the issue in version scim-sinhala-0.2.0-4.fc9
Implemented preedit successfully
Comment 2 Jens Petersen 2007-12-20 02:12:52 EST
Thanks, Pravin.

It would be nice to improve the patch to use preedit only when
necessary, ie just for all the characters that need modification.
Comment 3 Pravin Satpute 2008-01-10 02:22:06 EST
I have done changes as per suggested by jens P., updates are available in rpm
version scim-sinhala-0.2.0-5.fc9
Comment 4 Jens Petersen 2008-02-12 00:15:48 EST

Note You need to log in before you can comment on or make changes to this bug.